> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Challenge

> Verify an MFA challenge.

Expiry is always checked. For TOTP factors the submitted code is verified
via _totp_code_valid (real verification, or the MFA_DEV_ALLOW_ANY_CODE dev
bypass when explicitly enabled). SMS challenge verification is still a stub.



## OpenAPI

````yaml /openapi.json post /v1/mfa/challenge/{challenge_id}/verify
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/mfa/challenge/{challenge_id}/verify:
    post:
      tags:
        - mfa
      summary: Verify Challenge
      description: >-
        Verify an MFA challenge.


        Expiry is always checked. For TOTP factors the submitted code is
        verified

        via _totp_code_valid (real verification, or the MFA_DEV_ALLOW_ANY_CODE
        dev

        bypass when explicitly enabled). SMS challenge verification is still a
        stub.
      operationId: verify_challenge_v1_mfa_challenge__challenge_id__verify_post
      parameters:
        - in: path
          name: challenge_id
          required: true
          schema:
            title: Challenge Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VerifyChallengeRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    VerifyChallengeRequest:
      properties:
        code:
          maxLength: 12
          minLength: 4
          title: Code
          type: string
      required:
        - code
      title: VerifyChallengeRequest
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````